credentials:
  secretContents:
    cloud: |
      [default]
      aws_access_key_id={{ cloudstack.plugins.velero.config.credentials.id }}
      aws_secret_access_key={{ cloudstack.plugins.velero.config.credentials.key }}
deployRestic: true
snapshotsEnabled: false
configuration:
  provider: aws
  defaultVolumesToRestic: true
  backupStorageLocation:
    name: "{{ cloudstack.plugins.velero.config.backup_location.name }}"
    default: true
    bucket: "{{ cloudstack.plugins.velero.config.backup_location.bucket }}"
    config:
      region: "{{ cloudstack.plugins.velero.config.backup_location.region }}"
      s3ForcePathStyle: "{{ cloudstack.plugins.velero.config.backup_location.force_path_style }}"
      s3Url: "{{ cloudstack.plugins.velero.config.backup_location.url }}"
initContainers:
  - name: velero-plugin-for-aws
    image: velero/velero-plugin-for-aws:v1.3.0
    volumeMounts:
      - mountPath: /target
        name: plugins
metrics:
  serviceMonitor:
    enabled: true
schedules:
  {{ cloudstack.plugins.velero.config.backup_location.name }}:
    disabled: {{ cloudstack.plugins.velero.config.scheduled_backups.disabled }}
    schedule: "{{ cloudstack.plugins.velero.config.scheduled_backups.schedule }}"
    template:
      hooks: {}
      includeClusterResources: {{ cloudstack.plugins.velero.config.scheduled_backups.include_crds }}
      includedNamespaces: {{ cloudstack.plugins.velero.config.scheduled_backups.namespaces }}
      ttl: "{{ cloudstack.plugins.velero.config.scheduled_backups.ttl }}"      
      metadata: {}
    useOwnerReferencesInBackup: "false"